Bug 1260547 - epel metadata is not readable by dnf
epel metadata is not readable by dnf
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: dnf (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
: 1362552 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-07 04:36 EDT by Krzysztof Urbaniak
Modified: 2017-04-25 11:24 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krzysztof Urbaniak 2015-09-07 04:36:07 EDT
Description of problem:
After installing epel and dnf on centos 7 the dnf is unable to read metadata:
Traceback (most recent call last):
  File "<stdin>", line 2434, in <module>
  File "<stdin>", line 824, in main
  File "<stdin>", line 741, in ensure
  File "<stdin>", line 147, in dnf_base
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 236, in fill_sack
    self._add_repo_to_sack(r.id)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 120, in _add_repo_to_sack
    load_presto=repo.deltarpm, load_updateinfo=True)
IOError: Failed to open: /var/cache/dnf/x86_64/7/epel/repodata/c355ac47b02561d5496450555ab980fdb48d8f218f0e5022fb550eb8c4459f21-updateinfo.xml.bz2.

Yum works fine.

Version-Release number of selected component (if applicable):
yum-metadata-parser-1.1.4-10.el7.x86_64
yum-utils-1.1.31-29.el7.noarch
dnf-conf-0.6.4-2.el7.noarch
python-dnf-0.6.4-2.el7.noarch
yum-plugin-fastestmirror-1.1.31-25.el7_0.noarch
yum-3.4.3-125.el7.centos.noarch
epel-release-7-5.noarch
dnf-0.6.4-2.el7.noarch
[root@runabove ~]# 

How reproducible:
Easy

Steps to Reproduce:
1. yum install epel-release
2. yum install dnf
3. dnf upgrade
Comment 1 Dennis Gilmore 2015-09-07 12:12:37 EDT
reassigning to dnf since we make the metadata on the same box with the same tools as we do for fedora. So I would say it is a bug in dnf and not the process that makes the metadata
Comment 2 Carl George 2015-10-09 15:55:45 EDT
This is reproducible by just running repolist as well.

[root@test7 ~]# dnf -v repolist
cachedir: /var/cache/dnf/x86_64/7/x86_64/7
Loaded plugins: reposync, generate_completion_cache, Query, protected_packages, download, config-manager, builddep, kickstart, debuginfo-install, noroot, needs-restarting
DNF version: 0.6.4
Extra Packages for Enterprise Linux 7 - x86_64                           5.1 MB/s | 9.1 MB     00:01    
not found deltainfo for: Extra Packages for Enterprise Linux 7 - x86_64
Failed to open: /var/cache/dnf/x86_64/7/x86_64/7/epel/repodata/611f6b0048dc88a0b4456a234d3530a201b70a293913599480881ba5b1971aea-updateinfo.xml.bz2.
Comment 3 Carl George 2016-02-19 15:09:52 EST
I think this might actually be fixed now, I can't reproduce the error anymore.  I still have the same versions of dnf as Krzysztof, so it was either fixed in a dependent library or in the metadata generation itself.

# rpm -qa | grep -e yum -e dnf | sort
dnf-0.6.4-2.el7.noarch
dnf-conf-0.6.4-2.el7.noarch
python-dnf-0.6.4-2.el7.noarch
yum-3.4.3-132.el7.centos.0.1.noarch
yum-cron-3.4.3-132.el7.centos.0.1.noarch
yum-langpacks-0.4.2-4.el7.noarch
yum-metadata-parser-1.1.4-10.el7.x86_64
yum-plugin-fastestmirror-1.1.31-34.el7.noarch
yum-plugin-replace-0.2.7-1.ius.centos7.noarch
yum-utils-1.1.31-34.el7.noarch
Comment 4 Carl George 2016-06-03 09:53:51 EDT
It's happening again.

# dnf -v --enablerepo epel makecache
cachedir: /var/cache/dnf/x86_64/7/x86_64/7
DNF version: 0.6.4
Making cache files for all metadata files.
epel: has expired and will be refreshed.
base: will expire after 171995 seconds.
updates: will expire after 172013 seconds.
extras: will expire after 172016 seconds.
Extra Packages for Enterprise Linux 7 - x86_64   21 MB/s |  11 MB     00:00    
not found deltainfo for: Extra Packages for Enterprise Linux 7 - x86_64
Failed to open: /var/cache/dnf/x86_64/7/x86_64/7/epel/repodata/bba9c3a47a6492202b34aa95f488ec5f723637f48bc5c56787a74d07ab86f502-updateinfo.xml.bz2.

# dnf -v --enablerepo epel-testing makecache
cachedir: /var/cache/dnf/x86_64/7/x86_64/7
DNF version: 0.6.4
Making cache files for all metadata files.
epel-testing: has expired and will be refreshed.
base: will expire after 171985 seconds.
updates: will expire after 172003 seconds.
extras: will expire after 172006 seconds.
Extra Packages for Enterprise Linux 7 - Testing 8.7 MB/s | 1.1 MB     00:00    
not found deltainfo for: Extra Packages for Enterprise Linux 7 - Testing - x86_64
Failed to open: /var/cache/dnf/x86_64/7/x86_64/7/epel-testing/repodata/0f7b0ce370c9ee9966da7f82c9b34ecb8aa34e371426e18afe06e834351f5e43-updateinfo.xml.bz2.
Comment 5 Carl George 2017-04-25 11:24:49 EDT
*** Bug 1362552 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.